# -*- coding: utf-8 -*- #
# Django's model file.
#
# Copyright (C) 2010 Osama Khalid osamak.wfm[at]gmail.com
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from django.db import models

class files(models.Model):
  videoID = models.CharField(max_length=10)
  title = models.CharField(max_length=250)
  status = models.CharField(max_length=10)
  orgID = models.CharField(max_length=20)
  orgHost = models.CharField(max_length=20)
  isHD = models.BooleanField('highest quality')
  isHidden = models.BooleanField('hidden')
  localType = models.CharField(max_length=7) #"video" or "audio"
  upload_date = models.DateTimeField('date uploaded')
  def __unicode__(self):
    return self.title
