# -*- coding: utf-8 -*- #
# Set to work on 00:00:00 in cron to remove old vidoes
#
# Copyright (C) 2010 Osama Khalid osamak.wfm[at]gmail.com
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
import settings, sys, os, datetime, delete
from django.core.management import setup_environ
setup_environ(settings)
from add.models import files
from utilities import output

output("Removing old files.")
twodaysago = datetime.datetime.now() - datetime.timedelta(2) # Two days ago.
oldFiles = []

for oldFile in files.objects.exclude(status='expired'):
  if oldFile.upload_date < twodaysago: # The file is older than 48 hours.
    output(oldFile.videoID + " is old")
    oldFiles.append(oldFile.videoID)

delete.deleteIDs(oldFiles, 'expired', False)
