# -*- coding: utf-8 -*- #
# Django's views file.
#
# Copyright (C) 2010 Osama Khalid osamak.wfm[at]gmail.com
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from youogg.add.models import files
from django.shortcuts import render_to_response, get_object_or_404, redirect
import youogg.plugins
from random import randint

def watch(request, video_id, ext=False, hight="", width=""):
  if ext:
    template = 'watch-ext.html'
    hight_and_width = "width="+width+" hight="+hight
  else:
    template = 'watch.html'
    hight_and_width = False

  file = get_object_or_404(files, videoID=video_id)
  url = youogg.plugins.pageURLs[file.orgHost] % file.orgID

  return render_to_response(template, {'file': file, 'url':url, 'hight_and_width': hight_and_width})

def random(request):
  filesList = files.objects.filter(isHidden=False, status='done')
  return redirect('/watch/' + filesList[randint(0,len(filesList)-1)].videoID)
